de.dhbwstuttgart.syntaxtree.type

## Interface IMatchable

All Known Implementing Classes:
  ExtendsWildcardType, FreshExtendsWildcardType, FreshSuperWildcardType, FunN, RefType, SuperWildcardType, Void

    public interface IMatchable

Dieses Interface wird von allen Klassen implementiert, die weitere Klassen enthalten, die im match des Unify beachtet werden mÃ¼ssen.

Author:
  Arne LÃ¼dtke

### Method Summary

All Methods Instance Methods Abstract Methods
`Type` `getMatchType()` Author: Arne LÃ¼dtke Gibt den Typen zurÃ¼ck, der bei einem match im Unify verwendet werden soll.

### Method Detail

#### getMatchType

    Type getMatchType()

Author: Arne LÃ¼dtke
Gibt den Typen zurÃ¼ck, der bei einem match im Unify verwendet werden soll. Wird Ã¼ber IMatchable implementiert.